JBoss API: Class ConfigurationException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.configuration
Class ConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.jboss.configuration.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

public class ConfigurationException
extends java.lang.Exception

Throw to indicate a non-fatal configuration related problem.

Version:

      $Revision: 1.1 $

Author:
  Jason Dillon <jason@planet57.com>
See Also:
  `ConfigurationService`, Serialized Form

Field Summary
`protected java.lang.Throwable` | `cause` The root cause of this exception

Constructor Summary
`ConfigurationException(java.lang.String message)` Construct a `ConfigurationException`.
`ConfigurationException(java.lang.String message, java.lang.Throwable cause)` Construct a `ConfigurationException`.

Method Summary
`java.lang.Throwable` | `getCause()` Get the cause of the exception.
`java.lang.String` | `toString()` Return a string representation of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cause

    protected java.lang.Throwable cause

  The root cause of this exception

Constructor Detail

### ConfigurationException

    public ConfigurationException(java.lang.String message)

  Construct a `ConfigurationException`.
  Parameters:
    `message` - The exception detail message.

### ConfigurationException

    public ConfigurationException(java.lang.String message,
                                  java.lang.Throwable cause)

  Construct a `ConfigurationException`.
  Parameters:
    `message` - The exception detail message.
    `cause` - The detail cause of the exception.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Get the cause of the exception.
  Returns:
    The cause of the exception or null if there is none.

### toString

    public java.lang.String toString()

  Return a string representation of the exception.
  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    A string representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.